<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.community.enterprisedept.mapper.EnterpriseDeptMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="enterpriseDeptResultMap" type="org.springblade.community.enterprisedept.entity.EnterpriseDept">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="name" property="name"/>
        <result column="full_name" property="fullName"/>
        <result column="sort" property="sort"/>
        <result column="remark" property="remark"/>
        <result column="enterprise_id" property="enterpriseId"/>
    </resultMap>


    <select id="selectEnterpriseDeptPage" resultMap="enterpriseDeptResultMap">
        select * from yc_enterprise_dept where is_deleted = 0
    </select>

</mapper>
